Mail archive
alpine-devel

Re: [alpine-devel] abuild deps returns an error?

From: Kiyoshi Aman <aphrael_at_alpinelinux.org>
Date: Tue, 05 Dec 2017 16:53:27 +0000

Hi Gennady,

The `apk fix` command will attempt to automatically identify and repair
errors, typically by reinstalling the offending package. It will tell you
which package caused the error and, more important, allows you to identify
the package should it be unsuccessful.

On Tue, Dec 5, 2017 at 9:46 AM Gennady Feldman <gena01_at_gmail.com> wrote:

> So this is interesting. I have 2 Alpine VMs on different PCs. On one I
> have an older install that shows "1 error" when I run the above command and
> that one returns error status 1. On another one it's fine.
>
> So here is the silly question. If I am getting "1 error, 2xx packages,
> ..." line. How do I find and fix the apk/package error I am seeing?
>
> Thank you,
>
> Gennady
>
> On Tue, Dec 5, 2017 at 8:15 AM, x9p <alpine_at_x9p.org> wrote:
>
>> logs can help;
>>
>> issue:
>>
>> $ abuild-command-1-failing 2>&1 | tee /tmp/abuild1.log
>> $ abuild-command-2-failing 2>&1 | tee /tmp/abuild2.log
>> ...
>>
>> and let us see the results.
>>
>> cheers.
>>
>> x9p
>>
> > Ok. something is off... and I am not sure how to troubleshoot further..
>> > I am on the "edge" version.
>> >
>> > abuild deps fails... when I increase verbosity i can see that it fails
>> > here:
>> > abuild-apk add --wait 30 --repository /home/gena01/packages/testing
>> > --virtual .makedepends-test go
>> >
>> > and that last command returns "1" which fails for some reason. I have go
>> > package installed already.
>> >
>> > Thank you,
>> >
>> > Gennady
>> >
>> > On Mon, Dec 4, 2017 at 1:39 PM, Gennady Feldman <gena01_at_gmail.com>
>> wrote:
>> >
>> >> I use "edge" version. Need to see if I can get the exact error and
>> maybe
>> >> detailed log. Will try to send later tonight.
>> >>
>> >> Thank you,
>> >>
>> >> Gennady
>> >>
>> >> On Mon, Dec 4, 2017 at 1:22 PM, x9p <alpine_at_x9p.org> wrote:
>> >>
>> >>> have any logs from the error? which alpine version?
>> >>>
>> >>> cheers.
>> >>>
>> >>> x9p
>> >>>
>> >>> > Just ran into this over the weekend. When i tried to build a number
>> >>> of
>> >>> > packages every time i would get an error after "abuild deps".
>> >>> >
>> >>> > One way I got it to work is to run "abuild deps" then "abuild".
>> >>> "abuild
>> >>> > -r"
>> >>> > fails every time. This used to work fine before.
>> >>> >
>> >>> > Thank you,
>> >>> >
>> >>> > Gennady
>> >>> >
>> >>>
>> >>>
>> >>>
>> >>>
>> >>> ---
>> >>> Unsubscribe: alpine-devel+unsubscribe_at_lists.alpinelinux.org
>> >>> Help: alpine-devel+help_at_lists.alpinelinux.org
>> >>> ---
>> >>>
>> >>>
>> >>
>> >
>>
>>
>> --
-- Kiyoshi Aman



---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Tue Dec 05 2017 - 16:53:27 GMT